Groups

Groups (Preferred)

List groups

Returns a paginated list of groups with member count.

Requires the GROUPMANAGEMENT security role.

get
https://{your-bynder-domain}/api/1/groups

Query Parameters

search_termstring

Filter groups by matching name.

ids[]array[string](uuid)

Filter by specific group IDs (hyphens in the UUIDs are optional).

sortstring

Sort field and direction. Prefix with - for descending order (e.g. -name).

Allowed values:namedescription-name-description

Default:name

startinteger

Page number (1-based).

Default:1

>= 1

limitinteger

Number of results per page.

Default:20

>= 1<= 1000

Response

application/json

Successful response

itemsarray[object]

Example:{"description":"Everyone in the marketing department","id":"0397e4bd-33fe-4b8f-a51d-4c2f1d9b6c1a","name":"Marketing","user_count":12}

Show Child Parameters
metadataobject
Show Child Parameters
get/api/1/groups
 
application/json

Create a group

Creates a new group.

Requires the GROUPMANAGEMENT security role.

post
https://{your-bynder-domain}/api/1/groups

Body

application/json
descriptionstring | null

Optional description of the group.

namestringrequired

Name of the group. Must be unique within the account. Must be a string (numbers are not coerced).

Response

application/json

Group created successfully.

Group

descriptionstring | null
idstring(uuid)
namestring
user_countinteger

Number of members in the group.

post/api/1/groups

Body

{ "name": "name" }
 
application/json

Delete a group

Deletes a group and removes all its members from it.

Requires the GROUPMANAGEMENT security role.

delete
https://{your-bynder-domain}/api/1/groups/{groupId}

Path Parameters

groupIdstring(uuid)required

ID of the group to delete (hyphens optional).

Response

Group deleted successfully. No content is returned.

delete/api/1/groups/{groupId}
 

Get group by ID

Returns a single group by its ID, including member count.

Requires the GROUPMANAGEMENT security role.

get
https://{your-bynder-domain}/api/1/groups/{groupId}

Path Parameters

groupIdstring(uuid)required

ID of the group (hyphens optional).

Response

application/json

Successful response

Group

descriptionstring | null
idstring(uuid)
namestring
user_countinteger

Number of members in the group.

get/api/1/groups/{groupId}
 
application/json